Conversations

Search messages within a conversation

GET
/api/conversation/{conversationId}/messages/search

Returns { messageId, createdAt } for each body field regex match in the conversation, plus a total count and truncation flag. Backs the in-conversation find bar - does not return message bodies. Email messages whose content lives only in emailMetadata.bodyHtml will not match.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

conversationId*string

Query Parameters

q*string

Search query (regex-escaped server-side)

Length1 <= length <= 500
matchCase?boolean
Defaultfalse
wholeWord?boolean
Defaultfalse
limit?integer
Range1 <= value <= 5000
Default2000
fromDate?string

Inclusive lower bound (UTC), YYYY-MM-DD

Match^\d{4}-\d{2}-\d{2}$
toDate?string

Inclusive upper bound (UTC), YYYY-MM-DD

Match^\d{4}-\d{2}-\d{2}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/conversation/string/messages/search?q=string"
{  "matches": [    {      "messageId": "67e0a0b0c0d0e0f0a0b0c0d0",      "createdAt": "2026-05-18T13:30:00.000Z"    },    {      "messageId": "67e0a0b0c0d0e0f0a0b0c0d3",      "createdAt": "2026-05-18T13:45:00.000Z"    }  ],  "total": 2,  "truncated": false}